run("Duplicate...", "duplicate");
setBatchMode("hide");

//Noise reduction by averaging channels
rename("01");
run("Grays");
run("Split Channels");
imageCalculator("Average stack", "C1-01","C2-01");
selectWindow("C2-01");
close();
selectWindow("C1-01");
rename("AvgC1C2");

//Averaging 16 Y slices
run("Scale...", "x=1.0 y=0.0625 z=1.0 width=256 height=16 depth=177 interpolation=Bilinear average process create");
//Reslice to get XZ view
run("Reslice [/]...", "output=0.414 start=Top");
//Adjust brightness&contrast 
run("Enhance Contrast...", "saturated=5");
//6th slice was selected by visual inspection
setSlice(6);
run("Duplicate...", "title=Fig1D_XZview");
//Close files created in the process
selectWindow("Reslice of AvgC1C2-1");close();
selectWindow("AvgC1C2-1");close();
selectWindow("AvgC1C2");close();

setBatchMode("show");