run("Duplicate...", "duplicate");
setBatchMode(true);

//Noise reduction by averaging channels
rename("01");
run("Grays");
run("Split Channels");
imageCalculator("Average stack", "C1-01","C2-01");
selectWindow("C2-01");
close();
selectWindow("C1-01");

//GCL, noise reduction by averaging three slices
run("Duplicate...", "title=GCL duplicate range=15-17");
run("Z Project...", "projection=[Average Intensity]");
selectWindow("GCL");
close();

//IPL
selectWindow("C1-01");
run("Duplicate...", "title=IPL duplicate range=35-37");
run("Z Project...", "projection=[Average Intensity]");
selectWindow("IPL");
close();

//INL
selectWindow("C1-01");
run("Duplicate...", "title=INL duplicate range=66-68");
run("Z Project...", "projection=[Average Intensity]");
selectWindow("INL");
close();

//OPL
selectWindow("C1-01");
run("Duplicate...", "title=OPL duplicate range=85-87");
run("Z Project...", "projection=[Average Intensity]");
selectWindow("OPL");
close();

//ONL
selectWindow("C1-01");
run("Duplicate...", "title=ONL duplicate range=118-120");
run("Z Project...", "projection=[Average Intensity]");
selectWindow("ONL");
close();

//PRS
selectWindow("C1-01");
run("Duplicate...", "title=PRS duplicate range=144-146");
run("Z Project...", "projection=[Average Intensity]");
selectWindow("PRS");
close();

//Make montage of six layers
selectWindow("C1-01");close();
run("Concatenate...", "  title=02_Sixlayers open image1=AVG_GCL image2=AVG_IPL image3=AVG_INL image4=AVG_OPL image5=AVG_ONL image6=AVG_PRS");
run("Make Montage...", "columns=3 rows=2 scale=1 border=8");
run("Enhance Contrast...", "saturated=12");
rename("Fig1C_Sixlayers_montage");
selectWindow("02_Sixlayers");close();

setBatchMode(false);